> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_funding_rate_value

> Retrieves the funding rate (interest rate) value for a perpetual instrument over a specified time period. Funding rates are periodic payments exchanged between long and short positions in perpetual contracts.

This method is applicable only for PERPETUAL instruments. The funding rate is typically expressed as a percentage and is used to keep the perpetual contract price aligned with the underlying index price.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_funding_rate_value)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /public/get_funding_rate_value
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /public/get_funding_rate_value:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Retrieves the funding rate (interest rate) value for a perpetual
        instrument over a specified time period. Funding rates are periodic
        payments exchanged between long and short positions in perpetual
        contracts.


        This method is applicable only for PERPETUAL instruments. The funding
        rate is typically expressed as a percentage and is used to keep the
        perpetual contract price aligned with the underlying index price.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_funding_rate_value)

      parameters:
        - name: instrument_name
          required: true
          in: query
          schema:
            $ref: '#/components/schemas/instrument_name'
          description: Instrument name
        - name: start_timestamp
          required: true
          in: query
          schema:
            $ref: '#/components/schemas/timestamp'
          description: >-
            The earliest timestamp to return result from (milliseconds since the
            UNIX epoch)
        - name: end_timestamp
          required: true
          in: query
          schema:
            $ref: '#/components/schemas/timestamp'
          description: >-
            The most recent timestamp to return result from (milliseconds since
            the UNIX epoch)
      requestBody:
        content:
          application/json:
            examples:
              request:
                value:
                  jsonrpc: '2.0'
                  id: 7617
                  method: public/get_funding_rate_value
                  params:
                    instrument_name: BTC-PERPETUAL
                    start_timestamp: 1569888000000
                    end_timestamp: 1569974400000
                description: JSON-RPC Request Example
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetFundingRateValueResponse'
components:
  schemas:
    instrument_name:
      example: BTC-PERPETUAL
      type: string
      description: Unique instrument identifier
    timestamp:
      example: 1536569522277
      type: integer
      description: The timestamp (milliseconds since the Unix epoch)
    PublicGetFundingRateValueResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: number
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PublicGetFundingRateValueResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PublicGetFundingRateValueResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                id: 7617
                result: -0.00025056853702101664
              description: Response example
      description: Success response

````